Draft: Impostare il piano di lavoro

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft SelectPlane and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Pagina precedente: Draft Stretch.svg Stira
Pagina successiva: Terminare la linea Draft FinishLine.svg Arrow-right.svg

Draft SelectPlane.svg Seleziona il piano

Posizione nel menu
Draft → Utilità → Seleziona il piano
Ambiente
Draft, Architettura
Avvio veloce
W P
Introdotto nella versione
-
Vedere anche
Piano proxy, Mostra la griglia

Descrizione

Il modulo Draft dispone di un sistema di Piani di lavoro, questo consente di specificare un piano personalizzato nello spazio 3D nel quale viene eseguito il comando successivo di Draft.

Esistono diversi metodi per definire il piano di lavoro:

  • Da una faccia selezionata
  • Da tre vertici selezionati
  • Dalla vista corrente.
  • Da una preimpostazione: dall'altoe, anteriore o laterale.
  • Nessuna, nel qual caso il piano di lavoro viene adattato automaticamente alla vista corrente quando si avvia un comando o a una faccia se si inizia a disegnare su una faccia esistente.

WorkingPlane example.png

È possibile impostare diversi piani di lavoro su cui disegnare forme

Usage with pre-selection

  1. Selezionare una faccia di un oggetto esistente nella vista 3D o tenere premuto Ctrl e selezionare tre vertici di qualsiasi oggetto. Disponibile dalla versione 0.17
  2. Premere il pulsante Draft SelectPlane.svg Seleziona il piano, oppure fare clic con il tasto destro e selezionare Utilità → Draft SelectPlane.svg Seleziona il piano.

Usage with post-selection

  1. There are several ways to invoke the command:
    • Press the Draft SelectPlane.svg Draft SelectPlane button in the Draft Tray. Depending on the current working plane this button can look different.
    • Select the Utilities → Draft SelectPlane.svg Select Plane option from the menu.
    • Use the keyboard shortcut: W then P.
  2. The Working plane setup task panel opens. See Options for more information.
  3. Do one of the following:
    • Select a single object. See the previous paragraph for the supported objects.
    • Select one or more subelements. You can select:
      • A flat face.
      • Three vertices.
  4. Click anywhere in the 3D view to confirm the selection and finish the command.
  5. The working plane and the button in the Draft Tray are updated.

Usage with presets

  1. Premere il pulsante Draft SelectPlane.svg Seleziona il piano, o usare DraftUtilitàDraft SelectPlane.svg Seleziona il piano dal menu principale, o la scorciatoia W P.
  2. Selezionare l'offset, la spaziatura della griglia e delle linee principali
  3. Selezionare uno dei preset: View-top.svg XY (dall'alto), View-front.svg XZ (frontale), View-right.svg YZ (laterale), View-isometric.svg Vista, o View-axonometric.svg Auto.

Opzioni

  • Premere il pulsante View-top.svg XY (dall'alto) per impostare il piano di lavoro sul piano XY. Per disegnare facilmente su questo piano, è necessario impostare la vista dall'alto o dal basso (la normale è nella direzione Z positiva o negativa). Premere 2 o 5 per passare rapidamente a queste viste.
  • Premere il pulsante View-front.svg XZ (frontale) per impostare il piano di lavoro sul piano XZ. Per disegnare facilmente su questo piano, è necessario impostare la vista anteriore o posteriore (la normale è nella direzione Y negativa o positiva). Premere 1 o 4 per passare rapidamente a queste viste.
  • Premere il pulsante View-right.svg YZ (laterale) per impostare il piano di lavoro sul piano YZ. Per disegnare facilmente su questo piano, è necessario impostare la vista sul lato sinistro o destro (la normale è nella direzione X positiva o negativa). Premere 3 o 6 per passare rapidamente a queste viste.
  • Premere il pulsante View-isometric.svg Vista per impostare il piano di lavoro sulla vista 3D corrente, perpendicolare all'asse della telecamera e passante attraverso l'origine (0,0,0).
  • Premere il pulsante View-axonometric.svg Auto per annullare l'impostazione di qualsiasi piano di lavoro corrente e impostare automaticamente un piano di lavoro quando viene utilizzato uno strumento. Quando viene selezionato uno strumento di disegno, la griglia verrà automaticamente aggiornata alla vista corrente; quindi, se la vista viene ruotata e viene selezionato un altro strumento, la griglia viene ridisegnata nella nuova vista. Questo equivale a premere automaticamente View-isometric.svg Vista prima di usare uno strumento.
  • Impostare il valore "Offset" per impostare il piano di lavoro a una certa distanza perpendicolare dal piano selezionato.
  • Impostare il valore "Spaziatura griglia" per definire lo spazio tra ciascuna linea nella griglia.
  • Impostare il valore "Linea principale ogni" per tracciare una linea leggermente più spessa nella griglia al valore impostato. Ad esempio, se la spaziatura della griglia è di 0,5 m, e c'è una linea principale ogni 20 linee, ci sarà una linea leggermente più spessa ogni 10 m.
  • Fare clic sulla casella di controllo "Centra il piano nella vista" per disegnare il piano e la griglia più vicino alla vista della telecamera nella vista 3D.
  • Premere Esc o il pulsante Chiudi per interrompere il comando corrente.
  • * La griglia visualizza un bordo aggiuntivo con la spaziatura delle linee principali indicata nell'angolo in basso a sinistra Disponibile dalla versione 0.19. Questo può essere disabilitato tramite Modifica-> Preferenze-> Draft-> Griglia e snap-> Mostra il bordo della griglia

Notes

  • It can be useful to align the 3D view with the selected Draft working plane. For example after switching the working plane to Front you may want to switch to the Front view as well.
  • The grid can be toggled with the Draft ToggleGrid command.
  • By double-clicking Draft WorkingPlaneProxies in the Tree view you can quickly switch between working planes.

Preferences

See also: Preferences Editor and Draft Preferences.

  • The grid settings in the task panel as well as several other grid settings are available as preferences: Edit → Preferences... → Draft → Grid and snapping → Grid.
  • To use the grid the Edit → Preferences... → Draft → Grid and snapping → Grid → Use grid option must be selected. After changing this preference you must restart FreeCAD.
  • The Snapping radius can also be changed on-the-fly (see Draft Snap) or by changing: Tools → Edit parameters... → BaseApp → Preferences → Mod → Draft → snapRange.

Scripting

Script

Vedere anche: Draft API e Script di base per FreeCAD. Vedere le WorkingPlane API.

È possibile accedere al corrente piano di lavoro di Draft e applicare delle trasformazioni:

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui

workplane = App.DraftWorkingPlane

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()

workplane.alignToPointAndAxis(v1, v2, 17)
Gui.Snapper.toggleGrid()
Gui.Snapper.toggleGrid()

È possibile creare un proprio piano e utilizzarlo indipendentemente dal piano di lavoro corrente di Draft. Ciò è utile se è necessario eseguire calcoli o proiezioni in questi altri piani.

import WorkingPlane

my_plane = WorkingPlane.plane()

v1 = App.Vector(0, 0, 0)
v2 = App.Vector(1, 1, 1).normalize()
my_plane.alignToPointAndAxis(v1, v2, 17)

projection = my_plane.projectPoint(App.Vector(10, 15, 2))
print(projection)


Arrow-left.svg Pagina precedente: Draft Stretch.svg Stira
Pagina successiva: Terminare la linea Draft FinishLine.svg Arrow-right.svg